package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 问题分组对象 hs_yiqing_que_group
 *
 * @author willalp
 * @date 2022-04-28
 */

@EqualsAndHashCode(callSuper = true)
@Data
@TableName("hs_yiqing_que_group")
public class HsYiqingQueGroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 问题组ID */
    @TableId
    private String queGroupId;

    /** 问题组名称 */
    @Excel(name = "问题组名称")
    private String queGroupName;

    /** 机构编号 */
    @Excel(name = "机构编号")
    private String orgNo;

    /** 是否删除（0.未删除；1.已删除） */
    private Integer isDelete;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("queGroupId", getQueGroupId())
            .append("queGroupName", getQueGroupName())
            .append("orgNo", getOrgNo())
            .append("remark", getRemark())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
